FS/XFS testing framework
 help / color / mirror / Atom feed
* [PATCH] xfs/291: use xfs_repair -f when repairing a fs image
@ 2014-07-12  1:58 Eric Sandeen
  0 siblings, 0 replies; only message in thread
From: Eric Sandeen @ 2014-07-12  1:58 UTC (permalink / raw)
  To: fstests; +Cc: Eryu Guan

test xfs/291 creates an xfs_metadump image and runs repair on it.
Technically, this is supposed to require "-f" to specify that
the target of the repair is a file; this allows buffered IO fallback
in the case where the image sector size is smaller than the device
sector size.  And in fact if we create the image on a hard 4k device,
the test will fail when repair is unable to operate on the image.

So add that -f!

Signed-off-by: Eric Sandeen <sandeen@redhat.com>
---


diff --git a/tests/xfs/291 b/tests/xfs/291
index 0f3f051..fbf9c51 100755
--- a/tests/xfs/291
+++ b/tests/xfs/291
@@ -122,7 +122,7 @@ _xfs_check $SCRATCH_DEV >> $seqres.full 2>&1 || _fail "xfs_check failed"
 # Can xfs_metadump cope with this monster?
 _scratch_metadump $tmp.metadump || _fail "xfs_metadump failed"
 xfs_mdrestore $tmp.metadump $tmp.img || _fail "xfs_mdrestore failed"
-xfs_repair $tmp.img >> $seqres.full 2>&1 || _fail "xfs_repair of metadump failed"
+xfs_repair -f $tmp.img >> $seqres.full 2>&1 || _fail "xfs_repair of metadump failed"
 
 # Yes it can; success, all done
 status=0


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2014-07-12  1:58 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2014-07-12  1:58 [PATCH] xfs/291: use xfs_repair -f when repairing a fs image Eric Sandeen

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox